Description: Change to _DEFAULT_SOURCE
   * Use _DEFAULT_SOURCE instead of _BSD_SOURCE in Makefile/configure to fix
     FTBFS
Author: Scott Kitterman <scott@kitterman.com>
Origin: vendor
Forwarded: no

--- milter-greylist-4.5.11.orig/Makefile.in
+++ milter-greylist-4.5.11/Makefile.in
@@ -29,7 +29,7 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	@CFLAGS@ -D_BSD_SOURCE -I. -I${SRCDIR} @CPPFLAGS@
+CFLAGS= 	@CFLAGS@ -D_DEFAULT_SOURCE -I. -I${SRCDIR} @CPPFLAGS@
 LDFLAGS=	@LDFLAGS@
 LIBS= 		@LIBS@
 prefix=		@prefix@
--- milter-greylist-4.5.11.orig/configure
+++ milter-greylist-4.5.11/configure
@@ -8134,7 +8134,7 @@ $as_echo "$xopen" >&6; }
 
 # Tru64 Unix needs -D_OSF_SOURCE for IPV6 support
 SAVEDCFLAGS=$CFLAGS
-CFLAGS=$CFLAGS" -D_XOPEN_SOURCE=500 -D_BSD_SOURCE"
+CFLAGS=$CFLAGS" -D_XOPEN_SOURCE=500 -D_DEFAULT_SOURCE"
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking if -D_OSF_SOURCE is needed for IPV6 support" >&5
 $as_echo_n "checking if -D_OSF_SOURCE is needed for IPV6 support... " >&6; }
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -8390,7 +8390,7 @@ $as_echo_n "checking if DNS resolver is
 		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
-				#define _BSD_SOURCE
+				#define _DEFAULT_SOURCE
 
 				#include <sys/types.h>
 				#include <netinet/in.h>
--- milter-greylist-4.5.11.orig/configure.ac
+++ milter-greylist-4.5.11/configure.ac
@@ -1079,7 +1079,7 @@ AC_MSG_RESULT([$xopen])
 
 # Tru64 Unix needs -D_OSF_SOURCE for IPV6 support
 SAVEDCFLAGS=$CFLAGS
-CFLAGS=$CFLAGS" -D_XOPEN_SOURCE=500 -D_BSD_SOURCE"
+CFLAGS=$CFLAGS" -D_XOPEN_SOURCE=500 -D_DEFAULT_SOURCE"
 AC_MSG_CHECKING([if -D_OSF_SOURCE is needed for IPV6 support])
 AC_COMPILE_IFELSE([AC_LANG_PROGRAM([
 		#include <sys/types.h>
@@ -1240,7 +1240,7 @@ AC_ARG_WITH(thread-safe-resolver,
 		CFLAGS=$CFLAGS$efl
 		AC_MSG_CHECKING([if DNS resolver is re-entrant])
 		AC_COMPILE_IFELSE([AC_LANG_PROGRAM([
-				#define _BSD_SOURCE
+				#define _DEFAULT_SOURCE
 
 				#include <sys/types.h>
 				#include <netinet/in.h>
